- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations/bulkDownloadFeedbackLabels#try-it)

Download feedback labels in bulk from an external source. Currently supports exporting Quality AI example conversations with transcripts and question bodies.

### HTTP request

`POST https://{endpoint}/v1/{parent=projects/*/locations/*}:bulkDownloadFeedbackLabels`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for new feedback labels. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string, "maxDownloadCount": integer, "feedbackLabelType": enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/FeedbackLabelType`), "conversationFilter": string, "templateQaScorecardId": [ string ], // Union field `destination` can be only one of the following: "gcsDestination": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/GcsDestination`) }, "sheetsDestination": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/SheetsDestination`) } // End of list of possible types for union field `destination`. } ``` |

| Fields ||
|---|---|
| `filter` | `string` Optional. A filter to reduce results to a specific subset. Supports disjunctions (OR) and conjunctions (AND). Supported fields: - `issueModelId` - `qaQuestionId` - `qaScorecardId` - `min_create_time` - `max_create_time` - `min_update_time` - `max_update_time` - `feedbackLabelType`: QUALITY_AI, TOPIC_MODELING |
| `maxDownloadCount` | `integer` Optional. Limits the maximum number of feedback labels that will be downloaded. The first `N` feedback labels will be downloaded. |
| `feedbackLabelType` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/FeedbackLabelType`)`` Optional. The type of feedback labels that will be downloaded. |
| `conversationFilter` | `string` Optional. Filter parent conversations to download feedback labels for. When specified, the feedback labels will be downloaded for the conversations that match the filter. If `templateQaScorecardId` is set, all the conversations that match the filter will be paired with the questions under the scorecard for labeling. |
| `templateQaScorecardId[]` | `string` Optional. If set, a template for labeling conversations and scorecard questions will be created from the conversationFilter and the questions under the scorecard(s). The feedback label `filter` will be ignored. |
| Union field `destination`. Configuration for an external data store to which the feedback labels will be written to. `destination` can be only one of the following: ||
| `gcsDestination` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/GcsDestination`)`` A cloud storage bucket destination. |
| `sheetsDestination` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/SheetsDestination`)`` A sheets document destination. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedFeedbackLabels.download`
- `contactcenterinsights.datasetFeedbackLabels.download`
- `contactcenterinsights.feedbackLabels.download`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).